import { MonkeyEcxPage, MonkeyEcxPaginationData, MonkeyEcxStoreControl, MonkeyEcxStoreLoadPageParams, MonkeyEcxStoreLoadParams } from '../../interfaces';
export declare abstract class MonkeyEcxCommonsActions {
    static getActions<T>(actionName: string): {
        clear: import("@ngrx/store").ActionCreator<`[${string}] Clear All`, (props: {
            identifier: string;
        }) => {
            identifier: string;
        } & import("@ngrx/store/src/models").TypedAction<`[${string}] Clear All`>>;
        load: import("@ngrx/store").ActionCreator<`[${string}] Load`, (props: MonkeyEcxStoreLoadParams) => MonkeyEcxStoreLoadParams & import("@ngrx/store/src/models").TypedAction<`[${string}] Load`>>;
        loadPagination: import("@ngrx/store").ActionCreator<`[${string} Pagination] Load`, (props: MonkeyEcxStoreLoadPageParams) => MonkeyEcxStoreLoadPageParams & import("@ngrx/store/src/models").TypedAction<`[${string} Pagination] Load`>>;
        removeOne: import("@ngrx/store").ActionCreator<`[${string}] Remove One`, (props: {
            data: T;
        }) => {
            data: T;
        } & import("@ngrx/store/src/models").TypedAction<`[${string}] Remove One`>>;
        updateAll: import("@ngrx/store").ActionCreator<`[${string}] Update All`, (props: {
            data: T[];
        }) => {
            data: T[];
        } & import("@ngrx/store/src/models").TypedAction<`[${string}] Update All`>>;
        updateOne: import("@ngrx/store").ActionCreator<`[${string}] Update One`, (props: {
            data: T;
        }) => {
            data: T;
        } & import("@ngrx/store/src/models").TypedAction<`[${string}] Update One`>>;
        updateControl: import("@ngrx/store").ActionCreator<`[${string}] Update Control`, (props: {
            data: MonkeyEcxStoreControl;
        }) => {
            data: MonkeyEcxStoreControl;
        } & import("@ngrx/store/src/models").TypedAction<`[${string}] Update Control`>>;
        updateLinks: import("@ngrx/store").ActionCreator<`[${string}] Update Links`, (props: {
            data: MonkeyEcxPaginationData;
        }) => {
            data: MonkeyEcxPaginationData;
        } & import("@ngrx/store/src/models").TypedAction<`[${string}] Update Links`>>;
        updatePage: import("@ngrx/store").ActionCreator<`[${string}] Update Page`, (props: {
            data: MonkeyEcxPage;
        }) => {
            data: MonkeyEcxPage;
        } & import("@ngrx/store/src/models").TypedAction<`[${string}] Update Page`>>;
    };
}
